# List workflows Retrieves a list of workflow definitions available in your Zuora tenant. ### User Access Permission You must be assigned the Workflow View Access permission to run this operation. Endpoint: GET /workflows Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). ## Query parameters: - `callout_trigger` (boolean) If set to true, the operation retrieves workflows that have the callout trigger enabled. If set to false, the operation retrieves workflows that have the callout trigger disabled. If not specified, the operation will not use this filter. - `interval` (string) A CRON expession that specifies a schedule (for example, 0 0 *). If specified, the operation retrieves the workflow that is run based on the specified schedule. - `name` (string) If specified, the operation retrieves the workflow that is in the specified name. - `ondemand_trigger` (boolean) If set to true, the operation retrieves workflows that have the ondemand trigger enabled. If set to false, the operation retrieves workflows that have the ondemand trigger disabled. If not specified, the operation will not use this filter. - `scheduled_trigger` (boolean) If set to true, the operation retrieves workflows that have the scheduled trigger enabled. If set to false, the operation retrieves workflows that have the scheduled trigger disabled. If not specfied, the operation will not use this filter. - `page` (integer) If you want to retrieve only the workflows on a specific page, you can specify the page number in the query. - `page_length` (integer) The number of workflows shown in a single call. If the page parameter is not specified, the operation will return only the first page of results. If there are multiple pages of results, use it with the page parameter to get the results on subsequent pages. The maximum value is 50. ## Response 200 fields (application/json): - `data` (array) The list of workflows retrieved. - `data.active_version` (object) Information of the active version. - `data.active_version.description` (string) The description of the active version. - `data.active_version.id` (integer) The unique ID of the active version. - `data.active_version.status` (string) The status of the active version. - `data.active_version.type` (string) The type of the active version. Currently the only valid value is 'Workflow::Setup'. Enum: "Workflow::Setup", "Workflow::Instance" - `data.active_version.version` (string) The version number of the active version. - `data.calloutTrigger` (boolean) Indicates whether the callout trigger is enabled for the retrieved workflow. - `data.createdAt` (string) The date and time when the workflow is created, in the YYYY-MM-DD HH:MM:SS format. - `data.description` (string) The description of the workflow definition. - `data.id` (integer) The unique ID of the workflow definition. - `data.interval` (string) The schedule of the workflow, in a CRON expression. Returns null if the schedued trigger is disabled. - `data.latest_inactive_verisons` (array) The list of inactive workflow versions retrieved. Maximum number of versions retrieved is 10. - `data.latest_inactive_verisons.description` (string) The description of the workflow. - `data.latest_inactive_verisons.id` (integer) The unique ID of the workflow. - `data.latest_inactive_verisons.name` (string) The name of the workflow. - `data.latest_inactive_verisons.ondemandTrigger` (boolean) Indicates whether the ondemand trigger is enabled for the workflow. - `data.latest_inactive_verisons.scheduledTrigger` (boolean) Indicates whether the scheduled trigger is enabled for the workflow. - `data.latest_inactive_verisons.timezone` (string) The timezone that is configured for the scheduler of the workflow. Returns null if the scheduled trigger is disabled. - `data.latest_inactive_verisons.type` (string) The type of the workflow. Currently the only valid value is 'Workflow::Setup'. Enum: "Workflow::Setup", "Workflow::Instance" - `data.latest_inactive_verisons.updatedAt` (string) The date and time when the workflow is updated the last time, in the YYYY-MM-DD HH:MM:SS format. - `data.latest_inactive_verisons.version` (string) The version number of the workflow. - `data.name` (string) The name of the workflow definition. - `data.status` (string) The status of the workflow definition. - `pagination` (object) An object containing pagination information for the list of workflows returned by the api - `pagination.next_page` (string) A string containing the URL where the next page of data can be retrieved. - `pagination.page` (integer) An integer denoting the current page number. - `pagination.page_length` (integer) An integer denoting the number of workflows in this response. The maximum value is 50.